﻿# HiAICodeDemo(CN)

## Table of Content
  - [Table of Content](#table-of-content)
  - [Introduction](#introduction)
  - [Environment requirement](#environment-requirement)
    - [Hardware Requirements](#hardware-Requirements)
    - [Software Requirements](#software-Requirements)
  - [Tutorial](#tutorial)
  - [Licensing](#licensing)

## Introduction

HUAWEI HiAI is an open artificial intelligence (AI) capability platform for smart devices, which adopts a "chip-device-cloud" architecture, opening up chip, app, and service capabilities for a fully intelligent ecosystem. This assists developers in delivering an optimal smart app experience for users, by fully leveraging Huawei's powerful AI processing capabilities.
In order to open up app capabilities, HUAWEI HiAI Engine provides a wide range of AI capabilities that can be integrated into apps. Five AI capabilities were used in this demo:

* Image Super-Resolution: Intelligently upscale an image or reduce image noise and enhance detail without changing resolution, for clearer, sharper, and cleaner images than those processed in the traditional way.

* General Text Recognition: Extract the text information in the picture for subsequent processing.

* Video Portrait Segmentation: This API can be used to segment portrait of each frame in the videos and can be applicable to scenarios based on the understanding of video content.

* Aesthetics scoring: Understand human cognitive perception of images, such as what constitutes a beautiful, attractive, funny, or emotionally moving visual feature. This capability is applied in diverse intelligent image processing scenarios, during picture shooting, group image selection, video editing, and video splitting.

* Table Recognition: Recognize text in input images and detect the table structure information, including the position, line number, and column number of each cell, as well as the text in each cell.


## Environment requirement

To be able to develop, build and debug this demo, you will need at least the following environment:

### Hardware Requirements
* A computer (desktop or laptop)
* A Huawei phone used for running the app with HUAWEI IAP integrated.
* A data cable used for conneting the computer to the Huawei phone.

### Software Requirements
* Java JDK installation package
* DevEco Studio installation package 
* Android SDK package
* HiAI SDK package

## Tutorial

To understand the detailed operating procedures and learn about HiAI, you can read the documentation at the following link:
*  [Image Super-Resolution](https://developer.huawei.com/consumer/cn/codelab/HiAIImageSuperresolution/index.html)
*  [General Text Recognition](https://developer.huawei.com/consumer/cn/codelab/HiAIGeneralTextRecognition/index.html)
*  [Video Portrait Segmentation](https://developer.huawei.com/consumer/cn/codelab/HiAIVideoPortraitSegmentation/index.html)
*  [Aesthetics scoring](https://developer.huawei.com/consumer/cn/codelab/HiAIAestheticScore/index.html)
*  [Table Recognition](https://developer.huawei.com/consumer/cn/codelab/HiAITableOCR/index.html)

## Licensing

This demo is licensed under the [Apache License, version 2.0](http://www.apache.org/licenses/LICENSE-2.0).
